> For the complete documentation index, see [llms.txt](https://docs.asters.ai/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.asters.ai/api/extra/limitations.md).

# Limitations

## Date limits

{% hint style="info" %}
**Date format**

All our supported dates (datetimes) follow the [ISO-8601](https://en.wikipedia.org/wiki/ISO_8601) format.
{% endhint %}

<table><thead><tr><th width="267">Object</th><th>Description</th></tr></thead><tbody><tr><td>Date format</td><td>All dates must be supplied in <strong>UTC</strong> timezone and follow the structure:<br><code>01-31-2025T00:00:00Z</code></td></tr></tbody></table>

***

## File limits

We fetch files from the URLs provided.

<table><thead><tr><th width="267">Object</th><th>Description</th></tr></thead><tbody><tr><td>Accepted file formats</td><td><p>Each file must be in one of the following formats:</p><p><code>.png</code>, <code>.jpeg</code>, <code>.gif</code>,<code>.mov</code>, <code>.mp4</code></p></td></tr></tbody></table>

***

## Pagination limits

We fetch records using pagination.

<table><thead><tr><th width="267">Object</th><th>Description</th></tr></thead><tbody><tr><td>Max page size</td><td>Each page size must not exceed <code>100</code> records (larger numbers will default to <code>100</code>)</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.asters.ai/api/extra/limitations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
